<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
$arr= $_POST["cantsis"];
$sistema = unserialize(urldecode($arr));
$continuar=0;
$id_cd=$_POST['listacd'];

 $qp3 = "select  idusuarios_ci, nombre from usuarios_ci where idusuarios_ci='$id_cd'";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

	$rp3 = mysqli_fetch_object($cp3);	
//	$idcentro = $rp3->idcd;
	$nombrecentro=$rp3->nombre;
	
$qp31 = "select curdate() as lafech";
   $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp31 = mysqli_fetch_object($cp31);	
	$hoy = $rp31->lafech;



$qPP = "select id_prod, nombreProd from productos where tipoprod>0 order by nombreProd";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));



echo "<center><font size=\"+2\"><b>Inventario F&iacute;sico al d&iacute;a: $hoy<br>cd: $nombrecentro ID:$id_cd</b></font><br> <br>
Antes de continuar Favor de Revisar que las cantidades sean correctas<br>
La cantidad en inventario y la cantidad en sistema deben de ser las mismos<br>
De lo contrario favor de contactar al administrador del sistema, puede existir alg&uacute;n error.<br><br>
<form name=\"Selec_Prod_Pedido\" action=\"invinic2.php\" method=\"post\">
<table border=\"1\">
<th>ID</th><th>Descripci&oacute;n</th><th>Cant Real</th>";



while (($objetoPP=mysqli_fetch_object($rPP)) )

{
$i=$objetoPP->id_prod;

$elbn= $_POST["cant$i"]; $dif=$elbn-$sistema[$i];
	echo "<tr>

	
			<td align=\"center\">$objetoPP->id_prod</td> <td align=\"center\">$objetoPP->nombreProd</td>
			
		
			<td align=\"center\">$elbn</td>
			<input type=hidden name=cant$i value=\"$elbn\">

		

		  </tr> 

		 ";

   

}
$serialized = serialize($sistema);
$strenc = urlencode($serialized);
	echo"</table><br>Persona que realiza el inventario:  <input type=\"text\" name=\"realizo\" size=\"20\" maxlength=\"25\"><br><br> 
	Observaciones: (max 150 carac)<br><TEXTAREA NAME=\"comments\" COLS=\"40\" ROWS=\"2\" maxlength=\"150\"></TEXTAREA><br>

	
	<br><font size=\"+1\"  color=\"#990000\">Este inventario borrara todos los registros actuales<br>y se empezara a contar desde cero</font<br><br>
	<input type=hidden name=cantsis value=\"$strenc\"><input type=hidden name=listacd value=\"$id_cd\"><input type=\"submit\" value=\"Realizar cambios a Sistema\" name=\"hacer_pedido\"></form></center><br><br>";   


?>